# bigip_facts – Collect facts from F5 BIG-IP devices

- DEPRECATED

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Status

## DEPRECATED

Removed in Ansible

  version: 2.11

Why

  The bigip_facts module relies on SOAP to communicate with the BIG-IP, and has a large amount of code that does not conform to existing F5 standards. The bigip_device_info module is easier to maintain and use.

Alternative

  bigip_device_info

## Synopsis

- Collect facts from F5 BIG-IP devices via iControl SOAP API

## Requirements

The below requirements are needed on the host that executes this module.

- bigsuds

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
filter - |  | Shell-style glob matching string used to filter fact keys. Not applicable for software, provision, and system_info fact categories.

include
- / required

Choices:
- address_class
- certificate
- client_ssl_profile
- device
- device_group
- interface
- key
- node
- pool
- provision
- rule
- self_ip
- software
- system_info
- traffic_group
- trunk
- virtual_address
- virtual_server
- vlan

Fact category or list of categories to collect

provider dictionary added in 2.5 |  | A dict object containing connection details.
| auth_provider string |  | Configures the auth provider for to obtain authentication tokens from the remote device. This option is really used when working with BIG-IQ devices.
| password string / required |  | The password for the user account used to connect to the BIG-IP. You may omit this option by setting the environment variable `F5_PASSWORD`. aliases: pass, pwd
| server string / required |  | The BIG-IP host. You may omit this option by setting the environment variable `F5_SERVER`.
| server_port integer | Default: 443 | The BIG-IP server port. You may omit this option by setting the environment variable `F5_SERVER_PORT`.
| ssh_keyfile path |  | Specifies the SSH keyfile to use to authenticate the connection to the remote device. This argument is only used for cli transports. You may omit this option by setting the environment variable `ANSIBLE_NET_SSH_KEYFILE`.
| timeout integer |  | Specifies the timeout in seconds for communicating with the network device for either connecting or sending commands. If the timeout is exceeded before the operation is completed, the module will error.

transport
string

Choices:
- cli
- rest ←

Configures the transport connection to use when connecting to the remote device.

| user string / required |  | The username to connect to the BIG-IP with. This user must have administrative privileges on the device. You may omit this option by setting the environment variable `F5_USER`.

validate_certs
boolean

Choices:
- no
- yes ←

If `no`, SSL certificates are not validated. Use this only on personally controlled sites using self-signed certificates.
You may omit this option by setting the environment variable `F5_VALIDATE_CERTS`.

session
boolean

Choices:
- no ←
- yes

BIG-IP session support; may be useful to avoid concurrency issues in certain circumstances.

## Notes

Note

- Requires BIG-IP software version >= 11.4

- F5 developed module ‘bigsuds’ required (see http://devcentral.f5.com)

- Best run as a local_action in your playbook

- Tested with manager and above account privilege level

- `provision` facts were added in 2.2

- This module is deprecated. Use the `bigip_device_info` module instead.

- For more information on using Ansible to manage F5 Networks devices see https://www.ansible.com/integrations/networks/f5.

- Requires BIG-IP software version >= 12.

- The F5 modules only manipulate the running configuration of the F5 product. To ensure that BIG-IP specific configuration persists to disk, be sure to include at least one task that uses the bigip_config module to save the running configuration. Refer to the module’s documentation for the correct usage of the module to save your running configuration.

## Examples

    - name: Collect BIG-IP facts
      bigip_facts:
        server: lb.mydomain.com
        user: admin
        password: secret
        include:
          - interface
          - vlan
      delegate_to: localhost

## Status

- This module will be removed in version 2.11. [deprecated]

- For more information see DEPRECATED.

### Authors

- Matt Hite (@mhite)

- Tim Rupp (@caphrim007)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.